package org.gomma.match;

public enum ExecutionClassTypes {

	STRING_COMPLETE, 
	
	STRING_MAP,
	
	
	
	PATH,
	
	
	
	DATE_SINGLE,
	
	DATE_INTERVAL,
	
	
	
	STRUCTURE_LABEL,
	
	STRUCTURE_PURE,
	
	STRUCTURE_PAGERANK,
	
	STRUCTURE_SIMILARITY_FLOODING,
	
	
	
	STATISTICS_NODE,
	
	STATISTICS_OBJECT,
	
	
	OPTIMIZED_SET_TRIGRAM,
	OPTIMIZED_SET_INDEX_TRIGRAM,
	OPTIMIZED_LIST_TRIGRAM,
	OPTIMIZED_LIST_INDEX_TRIGRAM,
	OPTIMIZED_EXACT,
	OPTIMIZED_THREADED_LIST_TRIGRAM,
	
	TFIDF,
	THREADED_TFIDF,
	THREADED_ENC_TFIDF,
	THREADED_ENC_SOFT_TFIDF,
	THREADED_ENC_LCS,
	SPATIAL_LAT_LONG_COSINE,
	SPATIAL_LAT_LONG_EXACT;
}
